Plugin (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.plugin
Class Plugin

    java.lang.Object
      org.maltparser.core.plugin.Plugin

    public class Plugin

extends Object

The class Plugin contains information about a plug-in that comply to the the MaltParser Plugin Standard.

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`Plugin(File file)` Creates a plug-in container.
`Plugin(String filename)` Creates a plug-in container.

Method Summary
`JarFile` | `getArchive()` Returns the archive.
`String` | `getPluginName()` Returns the plug-in name.
`URL` | `getUrl()` Returns the URL
`void` | `setArchive(JarFile archive)` Sets the archive to set.
`void` | `setPluginName(String pluginName)` Sets the plug-in name
`void` | `setUrl(URL url)` Sets the URL.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Plugin

    public Plugin(String filename)
           throws MaltChainedException

  Creates a plug-in container.

  Parameters:
    `filename` - The file name that contains the plugin
  Throws:
    `MaltChainedException`

### Plugin

    public Plugin(File file)
           throws MaltChainedException

  Creates a plug-in container.

  Parameters:
    `file` - The jar file that contains the plugin
  Throws:
    `MaltChainedException`

Method Detail

### getArchive

    public JarFile getArchive()

  Returns the archive.

  Returns:
    the jar archive.

### setArchive

    public void setArchive(JarFile archive)

  Sets the archive to set.

  Parameters:
    `archive` - The archive to set.

### getPluginName

    public String getPluginName()

  Returns the plug-in name.

  Returns:
    the plug-in name.

### setPluginName

    public void setPluginName(String pluginName)

  Sets the plug-in name

  Parameters:
    `pluginName` - the plug-in name

### getUrl

    public URL getUrl()

  Returns the URL

  Returns:
    the URL

### setUrl

    public void setUrl(URL url)

  Sets the URL.

  Parameters:
    `url` - the URL

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.